modify ubuntu-gnome hook to set UnreportableReason for 14.04 and 16.04

Bug #1689093 reported by Jeremy Bicha on 2017-05-07
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apport (Ubuntu)
Low
Brian Murray
Trusty
Low
Brian Murray
Xenial
Low
Brian Murray

Bug Description

Impact
------
As announced, the GNOME3 PPAs for Ubuntu 16.04 LTS are no longer being maintained as of April 2017. Therefore, the Ubuntu GNOME project would like to stop receiving bugs from packages installed from those PPAs for that version, or for 14.04 LTS which is no longer supported by Ubuntu GNOME.

See https://launchpad.net/~gnome3-team/+archive/ubuntu/gnome3

Test Case
---------
sudo add-apt-repository ppa:gnome3-team/gnome3
sudo apt update
sudo apt upgrade

Ubuntu 14.04:
ubuntu-bug gnome-system-monitor

Ubuntu 16.04:
ubuntu-bug nautilus

What should happen:
After several moments, you should see a popup with
The GNOME3 PPA you are using is no longer supported for this Ubuntu release. Please run "ppa-purge ppa:gnome3-team/gnome3".

Clean up:
sudo apt install ppa-purge
sudo ppa-purge ppa:gnome3-team/gnome3

Other Info
----------
Ubuntu GNOME has always installed ppa-purge by default.

Regression Potential
--------------------
People will be unable to report bugs with PPA packages like they used to but they'll be told why. The message unfortunately likely won't be translated right away, but since it will land in the development release, it should eventually be translated for future Ubuntu releases.

Jeremy Bicha (jbicha) on 2017-05-07
Changed in apport (Ubuntu):
status: In Progress → Triaged
Brian Murray (brian-murray) wrote :

I currently have another SRU in mind for apport - adding ProcCpuInfoMinimal and fixing the autopkgtests. I'm happy to add this in too.

Do you want to just remove the hook or maybe have it add an UnreportableReason field to the report which then people might read?

Brian Murray (brian-murray) wrote :

The xorg package hooks contain something similar to what I had in mind e.g.:

    version_signature = report.get('ProcVersionSignature', '')
    if version_signature and not version_signature.startswith('Ubuntu '):
        report['UnreportableReason'] = 'The running kernel is not an Ubuntu kernel: %s' %version_signature
        return False

Brian Murray (brian-murray) wrote :

I discussed this with Jeremy and the hook will be modified to set UnreportableReason for packages from the gnome3 PPAs e.g.:

report['UnreportableReason'] = 'The GNOME3 Staging PPA is no longer supported for this Ubuntu release. Please run ppa-purge ppa:gnome3-team/gnome3-staging'

or

report['UnreportableReason'] = 'The GNOME3 PPA is no longer supported for this Ubuntu release. Please run ppa-purge ppa:gnome3-team/gnome3'

Jeremy Bicha (jbicha) on 2017-05-10
description: updated
Brian Murray (brian-murray) wrote :

Here's a diff of the changes we discussed to the ubuntu-gnome.py apport hook.

One thing I'm not sure how to handle is this bit:

    if '[origin: LP-PPA-gnome3-team-gnome3' in report.get('Dependencies', ''):
        report.setdefault('Tags', '')
        report['Tags'] += ' gnome3-ppa'

Are there cases where the report would be a package other than a GNOME3 one and it would include dependencies from the GNOME3 ppa? If so then we should just use a general UnreportableReason if one has not already been written to the report.

Brian Murray (brian-murray) wrote :

The vast majority of apport messages like UnreportableReason aren't translated.

Jeremy Bicha (jbicha) wrote :

> Are there cases where the report would be a package other than a GNOME3 one and it would include dependencies from the GNOME3 ppa?

Yes, the GNOME3 PPA for 16.04 LTS includes GTK 3.20, but people should still run ppa-purge to get themselves back on to a supported Ubuntu system.

Also, I thought you might update the hook to only emit UnreportableReason if the release is Xenial (or Trusty) so that we can use the same hook in artful.

Brian Murray (brian-murray) wrote :

Here's an updated patch.

Changed in apport (Ubuntu Trusty):
status: New → Triaged
Changed in apport (Ubuntu Xenial):
status: New → Triaged
Jeremy Bicha (jbicha) wrote :

Brian, Your patch from comment #7 works in Ubuntu GNOME 16.04 (I used the test case) but when I tried in Ubuntu GNOME 17.04, I got the UnreportableReason message fragment popup from the first part of the patch.

Also, there's a typo, you once wrote "ppa-pugre"

tags: added: patch
Brian Murray (brian-murray) wrote :

Ah, thanks for testing! I see what the problem is and have another version attached.

Jeremy Bicha (jbicha) wrote :

Thanks! That works like I expect in both Ubuntu GNOME 16.04 and 17.04. Screenshot of 16.04 attached.

description: updated
Jeremy Bicha (jbicha) on 2017-05-10
Changed in apport (Ubuntu Trusty):
importance: Undecided → Low
Changed in apport (Ubuntu Xenial):
importance: Undecided → Low
summary: - Drop ubuntu-gnome hook for trusty, xenial
+ modify ubuntu-gnome hook to set UnreportableReason for 14.04 and 16.04
Changed in apport (Ubuntu):
assignee: nobody → Brian Murray (brian-murray)
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport - 2.20.4-0ubuntu7

---------------
apport (2.20.4-0ubuntu7) artful; urgency=medium

  * data/general/ubuntu-gnome.py: The GNOME3 PPAs are no longer supported for
    14.04 or 16.04 so set an UnreportableReason in those reports.
    (LP: #1689093)

 -- Brian Murray <email address hidden> Wed, 10 May 2017 14:53:46 -0700

Changed in apport (Ubuntu):
status: In Progress → Fix Released
Brian Murray (brian-murray) wrote :

This is now in the queue for review by the SRU team (but maybe not me).

Changed in apport (Ubuntu Trusty):
assignee: nobody → Brian Murray (brian-murray)
Changed in apport (Ubuntu Xenial):
assignee: nobody → Brian Murray (brian-murray)

Hello Jeremy, or anyone else affected,

Accepted apport into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/apport/2.20.1-0ubuntu2.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in apport (Ubuntu Xenial):
status: Triaged → Fix Committed
tags: added: verification-needed
Łukasz Zemczak (sil2100) wrote :

Hello Jeremy, or anyone else affected,

Accepted apport into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/apport/2.14.1-0ubuntu3.24 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in apport (Ubuntu Trusty):
status: Triaged → Fix Committed
Jeremy Bicha (jbicha) wrote :

I installed apport 2.14.1-0ubuntu3.24 on Ubuntu GNOME 14.04. After adding the GNOME3 PPA, I got the PPA notice when I ran ubuntu-bug gnome-system-monitor. I did not get the notice when I ran ubuntu-bug witht an unrelated package (I tested with ubuntu-bug firefox).

I installed apport 2.20.1-0ubuntu2.6 on Ubuntu GNOME 16.04. With the GNOME3 Staging PPA, I got the expected PPA notice when I ran ubuntu-bug nautilus. I also got the notice (slightly different wording) when I ran ubuntu-bug firefox. This surprised me at first, but it's actually expected because Firefox depends on gtk3 and gtk3 is one of the updated packages in the 16.04 GNOME3 Staging PPA. When I tried with an unrelated package (ubuntu-bug ppa-purge), apport worked fine without showing me the notice.

tags: added: verification-done
removed: verification-needed

The verification of the Stable Release Update for apport has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport - 2.20.1-0ubuntu2.6

---------------
apport (2.20.1-0ubuntu2.6) xenial; urgency=medium

  * data/general/ubuntu.py: Collect a minimal version of /proc/cpuinfo in
    every report. (LP: #1673557)
  * data/general/ubuntu-gnome.py: The GNOME3 PPAs are no longer supported for
    14.04 or 16.04 so set an UnreportableReason in those reports.
    (LP: #1689093)
  * test_backend_apt_dpkg.py: Move tests from Ubuntu 15.10 "wily" (which is
    EoL now) to 16.04 LTS "xenial". (LP: #1690437)

 -- Brian Murray <email address hidden> Fri, 12 May 2017 11:39:04 -0700

Changed in apport (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport - 2.14.1-0ubuntu3.24

---------------
apport (2.14.1-0ubuntu3.24) trusty; urgency=medium

  * data/general/ubuntu.py: Collect a minimal version of /proc/cpuinfo in
    every report. (LP: #1673557)
  * data/general/ubuntu-gnome.py: The GNOME3 PPAs are no longer supported for
    14.04 or 16.04 so set an UnreportableReason in those reports.
    (LP: #1689093)

 -- Brian Murray <email address hidden> Fri, 12 May 2017 12:29:08 -0700

Changed in apport (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers